Skip to main content
GET
/
v1
/
batches
/
{id}
Get Batch Status
curl --request GET \
  --url https://api.kiriku.app/v1/batches/{id} \
  --header 'Authorization: Bearer <token>'
{
  "batch": {
    "batchId": "<string>",
    "status": "queued",
    "totalDocuments": 123,
    "completedCount": 123,
    "failedCount": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "extractions": [
    {
      "referenceId": "<string>",
      "status": "completed",
      "documentType": "<string>",
      "result": {
        "extractedData": {},
        "globalConfidence": 123
      },
      "creditsUsed": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kiriku.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Batch details and extraction list

batch
object
extractions
object[]